<div class="panel panel-primary">
    <a href="add" routerLinkActive="active" class="bttn btn-primary"> +CREATE </a>
    
    <div class="panel-heading">
        <h2>Employee List</h2>
    </div>
    <div class="panel-body">
        <table class="table table-striped">
            <thead>
                <tr> 
                    <th> Employee Name</th>
                    <th> Position </th>
                    <th> Salary </th>
                    <th> Department </th>
                    <th> JoinDate </th>
                    <th> Actions </th>
                </tr>
            </thead>
            <tbody>
                <tr *ngFor="let employee of employees | async">
                    <td>{{employee.name}}</td>
                    <td>{{employee.position}}</td>
                    <td>{{employee.salary}}</td>
                    <td>{{employee.department}}</td>
                    <td>{{employee.joinDate}}</td>
                    <td><button (click)="deleteEmployee(employee._id)" class="btn btn-danger"> Delete </button>
                        <button (click)="employeeDetails(employee._id)" class="btn btn-info" style="margin-left: 10px"> Details </button>
                        <button (click)="updateEmployee(employee._id)" class="btn btn-info" style="margin-left: 10px"> Update </button>
                    </td>
                </tr>
            </tbody>
        </table>
    </div>
</div>